import {Action} from "./Action";
import {Item} from "../../inventory/Item";
import {CharacterDependency} from "../CharacterDependency";
import {InventoryAction} from "./InventoryAction";

export class InventoryItemAction extends InventoryAction {

  item: Item | undefined


  constructor(characterDependency: CharacterDependency, valueChange: number, item: Item | undefined) {
    super(characterDependency, valueChange);
    this.item = item;
  }

  validate(): boolean {
    return this.item != undefined;
  }

}
