import {Action} from "./Action";
import {ItemGroup} from "../../inventory/ItemGroup";
import {CharacterDependency} from "../CharacterDependency";
import {InventoryAction} from "./InventoryAction";

export class InventoryItemGroupAction extends InventoryAction{
  itemgroup: ItemGroup | undefined


  constructor(characterDependency: CharacterDependency, valueChange: number, itemgroup: ItemGroup | undefined) {
    super(characterDependency, valueChange);
    this.itemgroup = itemgroup;
  }

  validate(): boolean {
    return this.itemgroup != undefined;
  }

}
